//
// C Interface: basic
//
// Description: File for station with fundamental datatypes
//
//
// Author: Leonhard Klein <leoklein@gmx.net>, (C) 2004
#ifndef __BASIC_H__
#define __BASIC_H__

//#define TEST

#define ROBOT /*!< defined for the ir.c - actual no use */

#define IRCONT      /*!< steer by IR */
#define SCRIPT      /*!< basic scripting functions: drive, play, loops */
#define SCRIPT2     /*!< further scripting functions: register, conditions */
#define PROGRAMMING /*!< programming features: Station can program IR-Data and script */
#define BEHAVIOUR   /*!< simple behaviour, drive around, flee if hold and sleep at night */
//#define SINUS


#define _NOP asm volatile ("nop\n\t"::)  /*!< one NOP operation */

enum modtype { boredom, sleep, connected, searching, flee, empty, script, ircont, radar, ir_s, ir_r, irstring_s};
enum admodtype {none,       ///< normal: off
                irstation,  ///< for finding the station
                irfr2,      ///< do not use
                irpos,      ///< check the distance via ir
                light,      ///< sensing normal light
                vcc,        ///< for checking the voltage.
                vcco        ///< for checking loading station
               };

enum modtype modus;
enum modtype oldmodus;
enum modtype oldmodus2;    //< only for use with irstring_s
enum admodtype admodus;


typedef unsigned char u08; ///< 8 bit unsigned
typedef unsigned int u16;  ///< 16 bit unsigned
typedef signed char s08;   ///< 8 bit signed
typedef signed int s16;    ///< 16 bit signed

struct measuretype { u08 irstation:1, irpos:1, light:1, vcc:1, vcco:1, radar:1, irr:1; };

struct measuretype measuremodus[13];

#endif
