//
// C++ Interface: robotsound
//
// Description: sound routines for robot
//
//
// Author: Leonhard Klein <leoklein@gmx.net>, (C) 2004
//

#ifndef __ROBOTSOUND_H__
#define __ROBOTSOUND_H__

#include <avr/io.h>
#include <avr/signal.h>
#include <avr/pgmspace.h>
#include "basic.h"


extern u08 __ATTR_PROGMEM__ start_up[];
extern u08 __ATTR_PROGMEM__ go_sleep[];
extern u08 __ATTR_PROGMEM__ wake_up[];
extern u08 __ATTR_PROGMEM__ go_hungry[];
extern u08 __ATTR_PROGMEM__ go_empty[];
extern u08 __ATTR_PROGMEM__ snore[];
extern u08 __ATTR_PROGMEM__ beeps[];
extern u08 __ATTR_PROGMEM__ get_connected[];


u08 soundplaying;


extern void play(u16 Hz);
extern void playt(u08 tone);
extern int playi();
extern int start_sound(u08 *soundtostart, u08 override);
#define START_BEEP(nbeeps) start_sound(beeps+40-4*nbeeps,0)

#endif
