//
// C Interface: stationu
//
// Description: 
//
//
// Author: Leonhard Klein <leoklein@gmx.net>, (C) 2004

#ifndef __STATIONU_H__
#define __STATIONU_H__

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <avr/pgmspace.h>
#include "basic.h"
#include "ir.h"

#define F_CPU            4000000      /* 4Mhz */
#define UART_BAUD_RATE   19200        /* 9600 baud */
#define UART_BAUD_SELECT (F_CPU/(UART_BAUD_RATE*16l)-1)
#define TS PORTB ^=_BV(PB0);


extern volatile u08 lastkey;


volatile u16 vcc_value, vout_value;
u08 *str1;
u08 loadcur;


#define DO_PING PORTB ^= _BV(PB4);
#define STOP_PING PORTB &= ~_BV(PB4);
#define CLRSCR uart_send("\033[2J\0")

#define RLEDON PORTD |= _BV(PD7)
#define RLEDOFF PORTD &= ~_BV(PD7)
#define GLEDON PORTB |= _BV(PB0)
#define GLEDOFF PORTB &= ~_BV(PB0)
#define SW6 (PINC & _BV(PC3))
#define SW7 (PINC & _BV(PC4))

extern void SIG_UART_RECV (void);
extern void uart_send(u08 *buf);
extern void uart_send_pascal(u08 *buf);
extern void uart_send_char(u08 val);
extern void uart_send_int(s16 int1, u08 radix);
extern void uart_send_p(u08 buf[]);              
extern void initchip();
extern void start_ad(enum admodtype adm);
extern void SIG_ADC (void);

extern void itoa16(u08 val, u08 *buf);

#endif
